# Skip Testing

| Attribute   | Type    | Description                                              | Package Types Applicable                                                              |
| ----------- | ------- | -------------------------------------------------------- | ------------------------------------------------------------------------------------- |
| skipTesting | boolean | Skip trigger of apex tests while validating or deploying | <ul><li>unlocked</li><li>org-dependent unlocked</li><li>source</li><li>diff</li></ul> |

One can utilize this attribute on a package definition is sfdx-project.json to skipTesting while a change is validated. Use this option with caution, as the package when it gets deployed ([depending on the package behaviour](https://docs.flxbl.io/flxbl/sfp/concepts/supported-package-types)) might trigger testing while being deployed to production

<pre class="language-json"><code class="lang-json">// Demonstrating how to do use skipTesting
{
  "packageDirectories": [
    {
      "path": "core-crm",
      "package": "core-crm",
      "versionDescription": "Package containing core schema and classes",
      "versionNumber": "4.7.0.NEXT",
      <a data-footnote-ref href="#user-content-fn-1">"skipTesting": true</a>
    },
     ...
   ]
}
</code></pre>

[^1]: Add skipTesting to skip testing while validating a package


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flxbl.io/flxbl/sfp/validating-a-change/controlling-validation-attributes-of-a-package/skip-testing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
